\section{/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/url-xml.c File Reference}
\label{url-xml_8c}\index{/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/url-xml.c@{/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/url-xml.c}}
XML URL handling. 

{\tt \#include \char`\"{}config.h\char`\"{}}\par
{\tt \#include $<$assert.h$>$}\par
{\tt \#include $<$string.h$>$}\par
{\tt \#include $<$expat.h$>$}\par
{\tt \#include $<$discover/discover.h$>$}\par
{\tt \#include $<$discover/discover-conf.h$>$}\par
{\tt \#include $<$discover/discover-xml.h$>$}\par
{\tt \#include $<$discover/load-url.h$>$}\par
{\tt \#include $<$discover/url-xml.h$>$}\par
{\tt \#include $<$discover/utils.h$>$}\par
\subsection*{Enumerations}
\begin{CompactItemize}
\item 
enum {\bf state} \{ {\bf START}, 
{\bf DISCOVER\_\-DATA}
 \}
\end{CompactItemize}
\subsection*{Functions}
\begin{CompactItemize}
\item 
{\bf discover\_\-xml\_\-url\_\-t} $\ast$ {\bf discover\_\-xml\_\-get\_\-urls} ({\bf discover\_\-error\_\-t} $\ast$status)
\item 
void {\bf discover\_\-xml\_\-free\_\-urls} (void)
\item 
{\bf discover\_\-xml\_\-url\_\-t} $\ast$ {\bf discover\_\-xml\_\-get\_\-data\_\-urls} ({\bf discover\_\-bus\_\-t} bus, {\bf discover\_\-filetype\_\-t} filetype, {\bf discover\_\-error\_\-t} $\ast$status)
\item 
void {\bf discover\_\-xml\_\-free\_\-data\_\-urls} (void)
\item 
{\bf discover\_\-xml\_\-url\_\-t} $\ast$ {\bf discover\_\-xml\_\-url\_\-new} (void)
\item 
void {\bf discover\_\-xml\_\-url\_\-copy} ({\bf discover\_\-xml\_\-url\_\-t} $\ast$src, {\bf discover\_\-xml\_\-url\_\-t} $\ast$dst)
\item 
char $\ast$ {\bf discover\_\-xml\_\-url\_\-get\_\-url} ({\bf discover\_\-xml\_\-url\_\-t} $\ast$url)
\item 
char $\ast$ {\bf discover\_\-xml\_\-url\_\-get\_\-label} ({\bf discover\_\-xml\_\-url\_\-t} $\ast$url)
\item 
char $\ast$ {\bf discover\_\-xml\_\-url\_\-get\_\-bus} ({\bf discover\_\-xml\_\-url\_\-t} $\ast$url)
\item 
char $\ast$ {\bf discover\_\-xml\_\-url\_\-get\_\-type} ({\bf discover\_\-xml\_\-url\_\-t} $\ast$url)
\item 
{\bf discover\_\-xml\_\-url\_\-t} $\ast$ {\bf discover\_\-xml\_\-url\_\-get\_\-next} ({\bf discover\_\-xml\_\-url\_\-t} $\ast$url)
\item 
{\bf discover\_\-xml\_\-url\_\-t} $\ast$ {\bf discover\_\-xml\_\-url\_\-get\_\-last} ({\bf discover\_\-xml\_\-url\_\-t} $\ast$url)
\item 
void {\bf discover\_\-xml\_\-url\_\-free} ({\bf discover\_\-xml\_\-url\_\-t} $\ast$urls)
\end{CompactItemize}


\subsection{Detailed Description}
XML URL handling. 

This file is used when loading data about the URLs to be parsed. This data will be read from a file, either specified from the configuration file or passed in as an append or insert. 

Definition in file {\bf url-xml.c}.

\subsection{Enumeration Type Documentation}
\index{url-xml.c@{url-xml.c}!state@{state}}
\index{state@{state}!url-xml.c@{url-xml.c}}
\subsubsection{\setlength{\rightskip}{0pt plus 5cm}enum {\bf state}}\label{url-xml_8c_a22}


Define possible states within the XML data. 

Definition at line 52 of file url-xml.c.